import request from '@/utils/request'
// 站点列表
export function getSiteInfoList({siteName,startTime, endTime,pageSize,pageNum}) {
  return request({
    url: `/ems/siteConfig/getSiteInfoList?siteName=${siteName}&startTime=${startTime}&endTime=${endTime}&pageSize=${pageSize}&pageNum=${pageNum}`,
    method: 'get'
  })
}

// 设备列表
export function getDeviceInfoList({siteId,pageSize,pageNum}) {
  return request({
    url: `/ems/siteConfig/getDeviceInfoList?siteId=${siteId}&pageSize=${pageSize}&pageNum=${pageNum}`,
    method: 'get'
  })
}

// 设备详情
export function getDeviceDetailInfo(deviceId) {
  return request({
    url: `/ems/siteConfig/getDeviceDetailInfo?deviceId=${deviceId}`,
    method: 'get'
  })
}
